Bug 1204322 - [abrt] gnome-software: gs_category_get_name(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gs_category_get_name(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fdf813bd1cbaa71a6b9879754d4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-21 00:50 UTC by a554335752
Modified: 2015-04-09 09:14 UTC (History)
3 users (show)

Fixed In Version: gnome-software-3.14.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 09:14:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.36 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: core_backtrace (18.91 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: dso_list (14.97 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: environ (1.62 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: maps (71.22 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: open_fds (2.25 KB, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2015-03-21 00:50 UTC, a554335752
no flags Details
File: exploitable (73 bytes, application/octet-stream)
2015-03-21 00:50 UTC, a554335752
no flags Details

Description a554335752 2015-03-21 00:50:28 UTC
Description of problem:
......................

Version-Release number of selected component:
gnome-software-3.14.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_category_get_name
executable:     /usr/bin/gnome-software
kernel:         3.18.9-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at 五 2015-02-13 12:06:41 CST, end at 六 2015-03-21 08:42:08 CST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gs_category_get_name at gs-category.c:79
 #1 gs_shell_category_switch_to at gs-shell-category.c:69
 #2 gs_shell_back_button_cb at gs-shell.c:276
 #3 _g_closure_invoke_va at gclosure.c:831
 #6 gtk_button_do_release at gtkbutton.c:1890
 #7 gtk_real_button_released at gtkbutton.c:2008
 #12 multipress_released_cb at gtkbutton.c:611
 #13 ffi_call_unix64 at ../src/x86/unix64.S:76
 #14 ffi_call at ../src/x86/ffi64.c:525
 #15 g_cclosure_marshal_generic_va at gclosure.c:1541

Potential duplicate: bug 1203842

Comment 1 a554335752 2015-03-21 00:50:32 UTC
Created attachment 1004714 [details]
File: backtrace

Comment 2 a554335752 2015-03-21 00:50:33 UTC
Created attachment 1004715 [details]
File: cgroup

Comment 3 a554335752 2015-03-21 00:50:35 UTC
Created attachment 1004716 [details]
File: core_backtrace

Comment 4 a554335752 2015-03-21 00:50:37 UTC
Created attachment 1004717 [details]
File: dso_list

Comment 5 a554335752 2015-03-21 00:50:38 UTC
Created attachment 1004718 [details]
File: environ

Comment 6 a554335752 2015-03-21 00:50:39 UTC
Created attachment 1004719 [details]
File: limits

Comment 7 a554335752 2015-03-21 00:50:43 UTC
Created attachment 1004720 [details]
File: maps

Comment 8 a554335752 2015-03-21 00:50:45 UTC
Created attachment 1004721 [details]
File: open_fds

Comment 9 a554335752 2015-03-21 00:50:46 UTC
Created attachment 1004722 [details]
File: proc_pid_status

Comment 10 a554335752 2015-03-21 00:50:47 UTC
Created attachment 1004723 [details]
File: exploitable

Comment 11 Fedora Update System 2015-03-25 19:05:26 UTC
gnome-software-3.14.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnome-software-3.14.4-1.fc21

Comment 12 Fedora Update System 2015-03-29 04:48:12 UTC
Package gnome-software-3.14.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-software-3.14.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4903/gnome-software-3.14.4-1.fc21
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2015-04-09 09:14:31 UTC
gnome-software-3.14.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.